import React, { Component } from "react"
import './accountLogin.scss'

import Header from "../common/Header";
import Input from '../common/Input'
import LoginButton from '../common/LoginButton'
import LoginWays from '../common/LoginWays'


class AccountLogin extends Component {
    constructor(props) {
        super(props)
    }

    render() {
        return (
            <div className={'account-login'}>
                <Header/>
                <div className="login-info">
                    <Input inputType={'number'} placeholder={'手机/邮箱/昵称'} wrapperClass={'tel-input'}/>
                    <Input
                        inputType={'number'}
                        wrapperClass={'tel-input'}
                        placeholder={'密码'}
                    />
                    <LoginButton/>
                </div>
                <LoginWays loginWays={this.props.loginWays}/>
            </div>
        );
    }
}

export default AccountLogin
