import React from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';

import Menu from './menu';
import Index from './components/Index';
import Classify from './components/classify';
import Study from './components/study';
import My from './components/my';
import CourseList from './components/classify/courselist';
import Examination from './components/examination'
import ExchangeCoupons from './components/coupons/exchange-coupons'
import UseCoupon from './components/coupons/use-coupons'
import Passport from './components/passport'


const router = () => (
    <Router>
        <Switch>
            <Route exact path="/" component={Index}></Route>
            <Route path="/index" component={Index}></Route>
            <Route path='/classify' component={Classify}></Route>
            <Route path='/study' component={Study}></Route>
            <Route path='/my' component={My}></Route>
            <Route path='/courselist' component={CourseList}></Route>
            <Route path='/examination' component={Examination}></Route>
            <Route path='/exchange-coupons' component={ExchangeCoupons}></Route>
            <Route path='/use-coupon' component={UseCoupon}></Route>
            <Route path='/passport' component={Passport}></Route>
        </Switch>
        <Menu/>
    </Router>
)


export default router;